function init(hero) {
    hero.setName("The Destroyer");
    hero.setTier(4);
    
    hero.setHelmet("Head");
	hero.setChestplate("Torso");
    hero.setLeggings("Legs");
    hero.setBoots("Feet");
    
    hero.addAbilities("fiskheroes:heat_vision", "fiskheroes:superhuman_durability");
	hero.addAttribute("BASE_SPEED", -0.2, 1);
    hero.addAttribute("ATTACK_DAMAGE", 2.0, 1);
    hero.addAttribute("PUNCH_DAMAGE", 9.5, 0);
    hero.addAttribute("SWORD_DAMAGE", -0.50, 1);
	hero.addAttribute("JUMP_HEIGHT", 3.0, 0);
	hero.addAttribute("SPRINT_SPEED", 0.2, 1);
	hero.addAttribute("STEP_HEIGHT", 1.0, 0);
	
	hero.addKeyBind("HEAT_VISION", "key.heatVision", 1);
	
	hero.setDefaultScale(2.5);
	hero.setHasProperty(hasProperty);
	hero.setModifierEnabled(isModifierEnabled);
}

function hasProperty(entity, property) {
    switch (property) {
    case "MASK_TOGGLE":
        return true;
    case "BREATHE_UNDERWATER":
        return !entity.getData("fiskheroes:mask_open") || entity.getData("fiskheroes:mask_open");
    case "BREATHE_SPACE":
        return !entity.getData("fiskheroes:mask_open") || entity.getData("fiskheroes:mask_open");
    default:
        return false;
    }
}

function isModifierEnabled(entity, modifier) {
    return entity.getData("fiskheroes:mask_open") || modifier != "fiskheroes:heat_vision";
}